Subject: Re: libtool bug
From: "Gerrit P. Haase" <[email-masked]>
To: Han-Wen Nienhuys <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 8 Oct 2004 01:56:59 +0200

Hello Han-Wen,

> 	libtool: install: warning: relinking `libguile-srfi-srfi-1-v-2.la'

I saw also problems with the useless relinking, I think it is time to
remove this for Cygwin completely.  I have already fixed it in my
local copy:

$ diff -ud ltmain.sh.old ltmain.sh
--- ltmain.sh.old       2004-10-08 01:56:36.797564800 +0200
+++ ltmain.sh   2004-10-02 02:24:08.852576000 +0200
@@ -2416,7 +2416,7 @@
           { test "$prefer_static_libs" = no || test -z "$old_library"; }; then
          if test "$installed" = no; then
            notinst_deplibs="$notinst_deplibs $lib"
-           need_relink=yes
+           need_relink=no
          fi
          # This is a shared library

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/